import { SignInUser } from '../../../contexts';
import { IPromotion } from '../../../models/Promotion/IPromotion.type';
import { RoomstayEvent } from '../../RoomstayEvent';
export declare class MemberOnlyFenceSignUp extends RoomstayEvent {
    promotion?: IPromotion;
    user?: SignInUser;
    constructor(promotion?: IPromotion, user?: SignInUser);
    static getLabel(): string;
}
